<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.FileUtils Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_file_utils.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_tri_lib_1_1_file_utils-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.FileUtils Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Contains file helper functions.  
 <a href="class_tri_lib_1_1_file_utils.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a58d6001f87616a7ddf53c760b9701d54"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_utils.html#a58d6001f87616a7ddf53c760b9701d54">GetShortFilename</a> (string filename)</td></tr>
<tr class="memdesc:a58d6001f87616a7ddf53c760b9701d54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the short filename from a full filename.  <a href="class_tri_lib_1_1_file_utils.html#a58d6001f87616a7ddf53c760b9701d54">More...</a><br /></td></tr>
<tr class="separator:a58d6001f87616a7ddf53c760b9701d54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e1fca85597b382eb3d47bc993888212"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_utils.html#a1e1fca85597b382eb3d47bc993888212">GetFileDirectory</a> (string filename)</td></tr>
<tr class="memdesc:a1e1fca85597b382eb3d47bc993888212"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the file directory.  <a href="class_tri_lib_1_1_file_utils.html#a1e1fca85597b382eb3d47bc993888212">More...</a><br /></td></tr>
<tr class="separator:a1e1fca85597b382eb3d47bc993888212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0a0b87222bcd8e70761cce7bc07cadf"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_utils.html#ae0a0b87222bcd8e70761cce7bc07cadf">GetFilenameWithoutExtension</a> (string filename)</td></tr>
<tr class="memdesc:ae0a0b87222bcd8e70761cce7bc07cadf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the filename without extension.  <a href="class_tri_lib_1_1_file_utils.html#ae0a0b87222bcd8e70761cce7bc07cadf">More...</a><br /></td></tr>
<tr class="separator:ae0a0b87222bcd8e70761cce7bc07cadf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04f0ec2898def9cfff01a8b1ea092b50"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_utils.html#a04f0ec2898def9cfff01a8b1ea092b50">GetFileExtension</a> (string filename)</td></tr>
<tr class="memdesc:a04f0ec2898def9cfff01a8b1ea092b50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the filename extension.  <a href="class_tri_lib_1_1_file_utils.html#a04f0ec2898def9cfff01a8b1ea092b50">More...</a><br /></td></tr>
<tr class="separator:a04f0ec2898def9cfff01a8b1ea092b50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d63c242c2c2fa90ae608e8a2fc8e7e5"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_utils.html#a6d63c242c2c2fa90ae608e8a2fc8e7e5">GetFilename</a> (string path)</td></tr>
<tr class="memdesc:a6d63c242c2c2fa90ae608e8a2fc8e7e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the path filename.  <a href="class_tri_lib_1_1_file_utils.html#a6d63c242c2c2fa90ae608e8a2fc8e7e5">More...</a><br /></td></tr>
<tr class="separator:a6d63c242c2c2fa90ae608e8a2fc8e7e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18a5b3a4ec4ae524fd1f39a68fb2a717"><td class="memItemLeft" align="right" valign="top">static byte[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_utils.html#a18a5b3a4ec4ae524fd1f39a68fb2a717">LoadFileData</a> (string filename)</td></tr>
<tr class="memdesc:a18a5b3a4ec4ae524fd1f39a68fb2a717"><td class="mdescLeft">&#160;</td><td class="mdescRight">Synchronously loads the file data.  <a href="class_tri_lib_1_1_file_utils.html#a18a5b3a4ec4ae524fd1f39a68fb2a717">More...</a><br /></td></tr>
<tr class="separator:a18a5b3a4ec4ae524fd1f39a68fb2a717"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22b0609cba2b3af1dd0c3497bb9883da"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_utils.html#a22b0609cba2b3af1dd0c3497bb9883da">SanitizePath</a> (string path)</td></tr>
<tr class="memdesc:a22b0609cba2b3af1dd0c3497bb9883da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sanitizes a path.  <a href="class_tri_lib_1_1_file_utils.html#a22b0609cba2b3af1dd0c3497bb9883da">More...</a><br /></td></tr>
<tr class="separator:a22b0609cba2b3af1dd0c3497bb9883da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa007ba20fc9e2838b131c2f79e378fed"><td class="memItemLeft" align="right" valign="top">static FileStream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_utils.html#aa007ba20fc9e2838b131c2f79e378fed">LoadFileStream</a> (string filename)</td></tr>
<tr class="memdesc:aa007ba20fc9e2838b131c2f79e378fed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a file stream for given filename.  <a href="class_tri_lib_1_1_file_utils.html#aa007ba20fc9e2838b131c2f79e378fed">More...</a><br /></td></tr>
<tr class="separator:aa007ba20fc9e2838b131c2f79e378fed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a503c41c174a02597972d7f5d9200017b"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_utils.html#a503c41c174a02597972d7f5d9200017b">GetRelativePath</a> (string root, string path)</td></tr>
<tr class="memdesc:a503c41c174a02597972d7f5d9200017b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the path relative to given root.  <a href="class_tri_lib_1_1_file_utils.html#a503c41c174a02597972d7f5d9200017b">More...</a><br /></td></tr>
<tr class="separator:a503c41c174a02597972d7f5d9200017b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Contains file helper functions. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1e1fca85597b382eb3d47bc993888212" name="a1e1fca85597b382eb3d47bc993888212"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e1fca85597b382eb3d47bc993888212">&#9670;&nbsp;</a></span>GetFileDirectory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string TriLib.FileUtils.GetFileDirectory </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the file directory. </p>
<dl class="section return"><dt>Returns</dt><dd>The file directory.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Full filename.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a04f0ec2898def9cfff01a8b1ea092b50" name="a04f0ec2898def9cfff01a8b1ea092b50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04f0ec2898def9cfff01a8b1ea092b50">&#9670;&nbsp;</a></span>GetFileExtension()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string TriLib.FileUtils.GetFileExtension </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the filename extension. </p>
<dl class="section return"><dt>Returns</dt><dd>The filename extension.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Full filename.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6d63c242c2c2fa90ae608e8a2fc8e7e5" name="a6d63c242c2c2fa90ae608e8a2fc8e7e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d63c242c2c2fa90ae608e8a2fc8e7e5">&#9670;&nbsp;</a></span>GetFilename()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string TriLib.FileUtils.GetFilename </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the path filename. </p>
<dl class="section return"><dt>Returns</dt><dd>The filename.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Path.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae0a0b87222bcd8e70761cce7bc07cadf" name="ae0a0b87222bcd8e70761cce7bc07cadf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0a0b87222bcd8e70761cce7bc07cadf">&#9670;&nbsp;</a></span>GetFilenameWithoutExtension()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string TriLib.FileUtils.GetFilenameWithoutExtension </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the filename without extension. </p>
<dl class="section return"><dt>Returns</dt><dd>The filename without extension.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Full filename.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a503c41c174a02597972d7f5d9200017b" name="a503c41c174a02597972d7f5d9200017b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a503c41c174a02597972d7f5d9200017b">&#9670;&nbsp;</a></span>GetRelativePath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string TriLib.FileUtils.GetRelativePath </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the path relative to given root. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">root</td><td>Root path.</td></tr>
    <tr><td class="paramname">path</td><td>Absolute path.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The path relative to the root.</dd></dl>

</div>
</div>
<a id="a58d6001f87616a7ddf53c760b9701d54" name="a58d6001f87616a7ddf53c760b9701d54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58d6001f87616a7ddf53c760b9701d54">&#9670;&nbsp;</a></span>GetShortFilename()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string TriLib.FileUtils.GetShortFilename </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the short filename from a full filename. </p>
<dl class="section return"><dt>Returns</dt><dd>The short filename.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Full filename.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a18a5b3a4ec4ae524fd1f39a68fb2a717" name="a18a5b3a4ec4ae524fd1f39a68fb2a717"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18a5b3a4ec4ae524fd1f39a68fb2a717">&#9670;&nbsp;</a></span>LoadFileData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static byte [] TriLib.FileUtils.LoadFileData </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Synchronously loads the file data. </p>
<dl class="section return"><dt>Returns</dt><dd>The file data.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Filename.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa007ba20fc9e2838b131c2f79e378fed" name="aa007ba20fc9e2838b131c2f79e378fed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa007ba20fc9e2838b131c2f79e378fed">&#9670;&nbsp;</a></span>LoadFileStream()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static FileStream TriLib.FileUtils.LoadFileStream </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a file stream for given filename. </p>
<dl class="section return"><dt>Returns</dt><dd>The created FileStream.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Filename.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a22b0609cba2b3af1dd0c3497bb9883da" name="a22b0609cba2b3af1dd0c3497bb9883da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22b0609cba2b3af1dd0c3497bb9883da">&#9670;&nbsp;</a></span>SanitizePath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string TriLib.FileUtils.SanitizePath </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sanitizes a path. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Path.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Sanizited path.</dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/Extensions/<a class="el" href="_file_utils_8cs.html">FileUtils.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_file_utils.html">FileUtils</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
